org.apache.lucene.analysis.opennlp.tools

## Class NLPLemmatizerOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPLemmatizerOp

    public class NLPLemmatizerOp
    extends Object

Supply OpenNLP Lemmatizer tools.

Both a dictionary-based lemmatizer and a MaxEnt lemmatizer are supported. If both are configured, the dictionary-based lemmatizer is tried first, and then the MaxEnt lemmatizer is consulted for out-of-vocabulary tokens.

The MaxEnt implementation requires binary models from OpenNLP project on SourceForge.

### Constructor Summary

Constructors
Constructor and Description
`NLPLemmatizerOp(InputStream dictionary, opennlp.tools.lemmatizer.LemmatizerModel lemmatizerModel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `lemmatize(String[] words, String[] postags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NLPLemmatizerOp

    public NLPLemmatizerOp(InputStream dictionary,
                           opennlp.tools.lemmatizer.LemmatizerModel lemmatizerModel)
                    throws IOException

Throws:
  `IOException`

### Method Detail

#### lemmatize

    public String[] lemmatize(String[] words,
                              String[] postags)